RABBITMQ-UPGRADE(8)

NAME
rabbitmq-upgrade - RabbitMQ installation upgrade tools

SYNOPSIS
rabbitmq-upgrade [-q] [-s] [-l] [-n node] [-t timeout] command [command_options]

DESCRIPTION
rabbitmq-upgrade is a command line tool that provides commands used during the upgrade of RabbitMQ nodes. See the RabbitMQ upgrade guide: https://www.rabbitmq.com/upgrade.html to learn more about RabbitMQ installation upgrades.

OPTIONS

-n node
    Default node is "rabbit@target-hostname", where target-hostname is the local host. On a host named "myserver.example.com", the node name will usually be "rabbit@myserver" (unless RABBITMQ_NODENAME has been overridden). The output of "hostname -s" is usually the correct suffix to use after the "@" sign. See rabbitmq-server(8) for details of configuring a RabbitMQ node.

-q, --quiet
    Quiet output mode is selected. Informational messages are reduced when quiet mode is in effect.

-s, --silent
    Silent output mode is selected. Informational messages are reduced and table headers are suppressed when silent mode is in effect.

-t timeout, --timeout timeout
    Operation timeout in seconds. Not all commands support timeouts. Default is infinity.

-l, --longnames
    Must be specified when the cluster is configured to use long (FQDN) node names. To learn more, see the RabbitMQ Clustering guide: https://www.rabbitmq.com/clustering.html

--erlang-cookie cookie
    Shared secret to use to authenticate to the target node. Prefer using a local file or the RABBITMQ_ERLANG_COOKIE environment variable instead of specifying this option on the command line. To learn more, see the RabbitMQ CLI Tools guide: https://www.rabbitmq.com/cli.html

COMMANDS

help

    Displays general help and commands supported by rabbitmq-upgrade.

post_upgrade

    Runs post-upgrade tasks. In the current version, it performs the rebalance of mirrored and quorum queues across all nodes in the cluster.

SEE ALSO
rabbitmqctl(8), rabbitmq-diagnostics(8), rabbitmq-server(8), rabbitmq-queues(8), rabbitmq-service(8), rabbitmq-env.conf(5), rabbitmq-echopid(8)

AUTHOR
The RabbitMQ Team <info@rabbitmq.com>